import numpy as np 
import pyfiglet
	
def generate2dkmesh(x1,y1,x2,y2,z,nkx,nky):	  
	"""
	This module generates a KPOINTS mesh file for 2D plotting.
	"""

	################ Welcome Text #######################
	print(pyfiglet.figlet_format("PyProcar"))
	print('A Python library for electronic structure pre/post-processing.\n')
	print('Please cite: Herath, U., Tavadze, P., He, X., Bousquet, E., Singh, S., Muñoz, F. & Romero,\
	A., PyProcar: A Python library for electronic structure pre/post-processing.,\
	Computer Physics Communications 107080 (2019).\n')

	#####################################################

	kx = np.linspace(x1,x2,nkx)
	ky = np.linspace(y1,y2,nky)
	wf = open('Kgrid.dat',"w")
	wf.write("Generated by PyProcar\n")
	wf.write("%d\n"% (nkx*nky))
	wf.write("Reciprocal\n")
	for ikx in kx:
		for iky in ky:
			wf.write(" {: >12.7f}   {: >12.7f}   {: >12.7f}   {: >12.7f}\n".format(ikx,iky,z,1.0))
	wf.close()

